### Method

# Vips Buf appendgv

#### Declaration [src]

    gboolean
    vips_buf_appendgv (
      VipsBuf* buf,
      GValue* value
    )

#### Description [src]

Format and append a `GValue` as a printable thing. We display text like “3144 bytes of binary data” for BLOBs like icc-profile-data.

Use `vips_image_get_as_string()` to make a text representation of a field. That will base64-encode blobs, for example.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to format and append.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`FALSE` on overflow, `TRUE` otherwise.